Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZTextCodec Class Reference
Internationalization

Handles conversion from one charset to another. More...

Inheritance diagram for eZTextCodec:

## Public Member Functions
| __construct ( $inputCharsetCode, $outputCharsetCode, $realInputCharsetCode, $realOutputCharsetCode, $inputEncoding, $outputEncoding)
| initializeConversionFunction ( $encodingConvertInitMap, $encodingConvertInitFunction)
| initializeCodepageMapper ()
| initializeInputCodepage ()
| initializeOutputCodepage ()
| conversionRequired ()
| setUseMBString ( $use)
| useMBString ()
| requestedInputCharsetCode ()
| requestedOutputCharsetCode ()
| inputCharsetCode ()
| outputCharsetCode ()
| convertString ( $str)
| strlen ( $str)
| convertNoneToUnicode ( $str)
| convertCodepageToUnicode ( $str)
| convertUTF8ToUnicode ( $str)
| convertUnicodeToCodepage ( $unicodeValues)
| convertUnicodeToUTF8 ( $unicodeValues)
| convertNone ( $str)
| convertCodepage ( $str)
| convertCodepageRev ( $str)
| convertCodepageMapper ( $str)
| convertMBString ( $str)
| strlenNone ( $str)
| strlenUnicode ( $unicodeValues)
| strlenCodepage ( $str)
| strlenUTF8 ( $str)
| strlenCodepageRev ( $str)
| strlenCodepageMapper ( $str)
| strlenMBString ( $str)
| __construct ( $inputCharsetCode, $outputCharsetCode, $realInputCharsetCode, $realOutputCharsetCode, $inputEncoding, $outputEncoding)
| initializeConversionFunction ( $encodingConvertInitMap, $encodingConvertInitFunction)
| initializeCodepageMapper ()
| initializeInputCodepage ()
| initializeOutputCodepage ()
| conversionRequired ()
| setUseMBString ( $use)
| useMBString ()
| requestedInputCharsetCode ()
| requestedOutputCharsetCode ()
| inputCharsetCode ()
| outputCharsetCode ()
| convertString ( $str)
| strlen ( $str)
| convertNoneToUnicode ( $str)
| convertCodepageToUnicode ( $str)
| convertUTF8ToUnicode ( $str)
| convertUnicodeToCodepage ( $unicodeValues)
| convertUnicodeToUTF8 ( $unicodeValues)
| convertNone ( $str)
| convertCodepage ( $str)
| convertCodepageRev ( $str)
| convertCodepageMapper ( $str)
| convertMBString ( $str)
| strlenNone ( $str)
| strlenUnicode ( $unicodeValues)
| strlenCodepage ( $str)
| strlenUTF8 ( $str)
| strlenCodepageRev ( $str)
| strlenCodepageMapper ( $str)
| strlenMBString ( $str)

## Static Public Member Functions
static | instance ( $inputCharsetCode, $outputCharsetCode=false, $alwaysReturn=true)
static | updateSettings ( $settings)
static | internalCharset ()
static | httpCharset ()
static | instance ( $inputCharsetCode, $outputCharsetCode=false, $alwaysReturn=true)
static | updateSettings ( $settings)
static | internalCharset ()
static | httpCharset ()

## Public Attributes
| $CodepageMapper
| $Codepage
| $RequestedInputCharsetCode
| $RequestedOutputCharsetCode
| $InputCharsetCode
| $OutputCharsetCode
| $InputCharacterEncodingScheme
| $OutputCharacterEncodingScheme
| $ConversionFunction
| $StrlenFunction
| $RequireConversion

## Detailed Description

Handles conversion from one charset to another.

Supports utf8 encoding/decoding

Definition at line 23 of file ezi18n/classes/eztextcodec.php.

## Constructor & Destructor Documentation

## ◆ __construct() [1/2]

eZTextCodec::__construct | ( |  | $inputCharsetCode,
|  |  | $outputCharsetCode,
|  |  | $realInputCharsetCode,
|  |  | $realOutputCharsetCode,
|  |  | $inputEncoding,
|  |  | $outputEncoding
| ) |  |

Parameters

  string | $inputCharsetCode |
  string | $outputCharsetCode |
  string | $realInputCharsetCode |
  string | $realOutputCharsetCode |
  string | $inputEncoding |
  string | $outputEncoding |

Definition at line 35 of file ezi18n/classes/eztextcodec.php.

References $InputCharacterEncodingScheme, $OutputCharacterEncodingScheme, initializeConversionFunction(), useMBString(), and eZDebug\writeError().

## ◆ __construct() [2/2]

eZTextCodec::__construct | ( |  | $inputCharsetCode,
|  |  | $outputCharsetCode,
|  |  | $realInputCharsetCode,
|  |  | $realOutputCharsetCode,
|  |  | $inputEncoding,
|  |  | $outputEncoding
| ) |  |

Parameters

  string | $inputCharsetCode |
  string | $outputCharsetCode |
  string | $realInputCharsetCode |
  string | $realOutputCharsetCode |
  string | $inputEncoding |
  string | $outputEncoding |

Definition at line 35 of file ezutils/classes/eztextcodec.php.

References $InputCharacterEncodingScheme, $OutputCharacterEncodingScheme, initializeConversionFunction(), useMBString(), and eZDebug\writeError().

## Member Function Documentation

## ◆ conversionRequired() [1/2]

eZTextCodec::conversionRequired | ( |  | ) |

/

Returns
  true if a conversion is required, if false there's no need to call the textcodec functions.

Definition at line 264 of file ezi18n/classes/eztextcodec.php.

References $RequireConversion.

## ◆ conversionRequired() [2/2]

eZTextCodec::conversionRequired | ( |  | ) |

/

Returns
  true if a conversion is required, if false there's no need to call the textcodec functions.

Definition at line 264 of file ezutils/classes/eztextcodec.php.

References $RequireConversion.

## ◆ convertCodepage() [1/2]

eZTextCodec::convertCodepage | ( |  | $str | ) |

Definition at line 363 of file ezi18n/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertCodepage() [2/2]

eZTextCodec::convertCodepage | ( |  | $str | ) |

Definition at line 363 of file ezutils/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertCodepageMapper() [1/2]

eZTextCodec::convertCodepageMapper | ( |  | $str | ) |

Definition at line 379 of file ezi18n/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertCodepageMapper() [2/2]

eZTextCodec::convertCodepageMapper | ( |  | $str | ) |

Definition at line 379 of file ezutils/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertCodepageRev() [1/2]

eZTextCodec::convertCodepageRev | ( |  | $str | ) |

Definition at line 371 of file ezi18n/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertCodepageRev() [2/2]

eZTextCodec::convertCodepageRev | ( |  | $str | ) |

Definition at line 371 of file ezutils/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertCodepageToUnicode() [1/2]

eZTextCodec::convertCodepageToUnicode | ( |  | $str | ) |

Definition at line 326 of file ezi18n/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertCodepageToUnicode() [2/2]

eZTextCodec::convertCodepageToUnicode | ( |  | $str | ) |

Definition at line 326 of file ezutils/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertMBString() [1/2]

eZTextCodec::convertMBString | ( |  | $str | ) |

Definition at line 387 of file ezi18n/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertMBString() [2/2]

eZTextCodec::convertMBString | ( |  | $str | ) |

Definition at line 387 of file ezutils/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertNone() [1/2]

eZTextCodec::convertNone | ( |  | $str | ) |

Definition at line 358 of file ezi18n/classes/eztextcodec.php.

References $str.

## ◆ convertNone() [2/2]

eZTextCodec::convertNone | ( |  | $str | ) |

Definition at line 358 of file ezutils/classes/eztextcodec.php.

References $str.

## ◆ convertNoneToUnicode() [1/2]

eZTextCodec::convertNoneToUnicode | ( |  | $str | ) |

Returns
  an empty array since no conversion is possible.

Definition at line 321 of file ezi18n/classes/eztextcodec.php.

## ◆ convertNoneToUnicode() [2/2]

eZTextCodec::convertNoneToUnicode | ( |  | $str | ) |

Returns
  an empty array since no conversion is possible.

Definition at line 321 of file ezutils/classes/eztextcodec.php.

## ◆ convertString() [1/2]

eZTextCodec::convertString | ( |  | $str | ) |

Definition at line 302 of file ezi18n/classes/eztextcodec.php.

References $ConversionFunction, $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertString() [2/2]

eZTextCodec::convertString | ( |  | $str | ) |

Definition at line 302 of file ezutils/classes/eztextcodec.php.

References $ConversionFunction, $str, $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertUnicodeToCodepage() [1/2]

eZTextCodec::convertUnicodeToCodepage | ( |  | $unicodeValues | ) |

Definition at line 342 of file ezi18n/classes/eztextcodec.php.

References $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertUnicodeToCodepage() [2/2]

eZTextCodec::convertUnicodeToCodepage | ( |  | $unicodeValues | ) |

Definition at line 342 of file ezutils/classes/eztextcodec.php.

References $tmp, eZDebug\accumulatorStart(), and eZDebug\accumulatorStop().

## ◆ convertUnicodeToUTF8() [1/2]

eZTextCodec::convertUnicodeToUTF8 | ( |  | $unicodeValues | ) |

Definition at line 350 of file ezi18n/classes/eztextcodec.php.

References $tmp, eZDebug\accumulatorStart(), eZDebug\accumulatorStop(), and eZUTF8Codec\convertUnicodeToString().

## ◆ convertUnicodeToUTF8() [2/2]

eZTextCodec::convertUnicodeToUTF8 | ( |  | $unicodeValues | ) |

Definition at line 350 of file ezutils/classes/eztextcodec.php.

References $tmp, eZDebug\accumulatorStart(), eZDebug\accumulatorStop(), and eZUTF8Codec\convertUnicodeToString().

## ◆ convertUTF8ToUnicode() [1/2]

eZTextCodec::convertUTF8ToUnicode | ( |  | $str | ) |

Definition at line 334 of file ezi18n/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), eZDebug\accumulatorStop(), and eZUTF8Codec\convertStringToUnicode().

## ◆ convertUTF8ToUnicode() [2/2]

eZTextCodec::convertUTF8ToUnicode | ( |  | $str | ) |

Definition at line 334 of file ezutils/classes/eztextcodec.php.

References $str, $tmp, eZDebug\accumulatorStart(), eZDebug\accumulatorStop(), and eZUTF8Codec\convertStringToUnicode().

## ◆ httpCharset() [1/2]

static eZTextCodec::httpCharset | ( |  | ) |
| static

Returns
  a charset value which can be used in HTTP headers.

Note
  Will return the internalCharset() if not http charset is set.

Definition at line 569 of file ezi18n/classes/eztextcodec.php.

References internalCharset(), and eZCharsetInfo\realCharsetCode().

Referenced by ezpbKernelAdmin\requestInit(), ezpbKernelWeb\requestInit(), and ezpKernelWeb\requestInit().

## ◆ httpCharset() [2/2]

static eZTextCodec::httpCharset | ( |  | ) |
| static

Returns
  a charset value which can be used in HTTP headers.

Note
  Will return the internalCharset() if not http charset is set.

Definition at line 569 of file ezutils/classes/eztextcodec.php.

References internalCharset(), and eZCharsetInfo\realCharsetCode().

## ◆ initializeCodepageMapper() [1/2]

eZTextCodec::initializeCodepageMapper | ( |  | ) |

Definition at line 245 of file ezi18n/classes/eztextcodec.php.

References eZCodePageMapper\instance().

## ◆ initializeCodepageMapper() [2/2]

eZTextCodec::initializeCodepageMapper | ( |  | ) |

Definition at line 245 of file ezutils/classes/eztextcodec.php.

References eZCodePageMapper\instance().

## ◆ initializeConversionFunction() [1/2]

eZTextCodec::initializeConversionFunction | ( |  | $encodingConvertInitMap,
|  |  | $encodingConvertInitFunction
| ) |  |

Definition at line 223 of file ezi18n/classes/eztextcodec.php.

References $InputCharacterEncodingScheme, and $OutputCharacterEncodingScheme.

Referenced by __construct().

## ◆ initializeConversionFunction() [2/2]

eZTextCodec::initializeConversionFunction | ( |  | $encodingConvertInitMap,
|  |  | $encodingConvertInitFunction
| ) |  |

Definition at line 223 of file ezutils/classes/eztextcodec.php.

References $InputCharacterEncodingScheme, and $OutputCharacterEncodingScheme.

## ◆ initializeInputCodepage() [1/2]

eZTextCodec::initializeInputCodepage | ( |  | ) |

Definition at line 251 of file ezi18n/classes/eztextcodec.php.

References eZCodePage\instance().

## ◆ initializeInputCodepage() [2/2]

eZTextCodec::initializeInputCodepage | ( |  | ) |

Definition at line 251 of file ezutils/classes/eztextcodec.php.

References eZCodePage\instance().

## ◆ initializeOutputCodepage() [1/2]

eZTextCodec::initializeOutputCodepage | ( |  | ) |

Definition at line 256 of file ezi18n/classes/eztextcodec.php.

References eZCodePage\instance().

## ◆ initializeOutputCodepage() [2/2]

eZTextCodec::initializeOutputCodepage | ( |  | ) |

Definition at line 256 of file ezutils/classes/eztextcodec.php.

References eZCodePage\instance().

## ◆ inputCharsetCode() [1/2]

eZTextCodec::inputCharsetCode | ( |  | ) |

Definition at line 292 of file ezi18n/classes/eztextcodec.php.

References $InputCharsetCode.

## ◆ inputCharsetCode() [2/2]

eZTextCodec::inputCharsetCode | ( |  | ) |

Definition at line 292 of file ezutils/classes/eztextcodec.php.

References $InputCharsetCode.

## ◆ instance() [1/2]

static eZTextCodec::instance | ( |  | $inputCharsetCode,
|  |  | $outputCharsetCode = `false`,
|  |  | $alwaysReturn = `true`
| ) |  |
| static

Returns a shared instance of the eZTextCodec pr the $inputCharsetCode and $outputCharsetCode params.

Parameters

  string | false | $inputCharsetCode | Uses eZTextCodec::internalCharset() if false
  string | false | $outputCharsetCode | Uses eZTextCodec::internalCharset() if false
  bool | $alwaysReturn |

Returns
  eZTextCodec|null Returns null if $alwaysReturn is false and text codec is not needed for current $inputCharsetCode and $outputCharsetCode.

Definition at line 447 of file ezi18n/classes/eztextcodec.php.

References eZCharsetInfo\characterEncodingScheme(), internalCharset(), and eZCharsetInfo\realCharsetCode().

Referenced by eZURI\convertFilterString(), eZURI\decodeIRI(), eZURI\encodeIRI(), eZCodeMapper\executeCommandCode(), eZCodeMapper\generateCharsetMappingTable(), eZTSTranslator\handleMessageNode(), eZCodeMapper\parseTransformationFile(), and eZWebDAVContentBackend\recode().

## ◆ instance() [2/2]

static eZTextCodec::instance | ( |  | $inputCharsetCode,
|  |  | $outputCharsetCode = `false`,
|  |  | $alwaysReturn = `true`
| ) |  |
| static

Returns a shared instance of the eZTextCodec pr the $inputCharsetCode and $outputCharsetCode params.

Parameters

  string | false | $inputCharsetCode | Uses eZTextCodec::internalCharset() if false
  string | false | $outputCharsetCode | Uses eZTextCodec::internalCharset() if false
  bool | $alwaysReturn |

Returns
  eZTextCodec|null Returns null if $alwaysReturn is false and text codec is not needed for current $inputCharsetCode and $outputCharsetCode.

Definition at line 447 of file ezutils/classes/eztextcodec.php.

References eZCharsetInfo\characterEncodingScheme(), internalCharset(), and eZCharsetInfo\realCharsetCode().

## ◆ internalCharset() [1/2]

static eZTextCodec::internalCharset | ( |  | ) |
| static

Returns
  the charset which is used internally, this is the charset which all external files and resources are converted to.

Note
  will return iso-8859-1 if eZTextCodec has been updated with proper settings.

Definition at line 547 of file ezi18n/classes/eztextcodec.php.

References eZCharsetInfo\realCharsetCode().

Referenced by eZDFSFileHandlerMySQLiBackend\_connect(), eZCodeMapper\executeCommandCode(), httpCharset(), instance(), eZTSTranslator\loadTranslationFile(), eZTranslationCache\rootCacheDirectory(), eZTranslationCache\storeCache(), eZCharTransform\transform(), and eZCharTransform\transformByGroup().

## ◆ internalCharset() [2/2]

static eZTextCodec::internalCharset | ( |  | ) |
| static

Returns
  the charset which is used internally, this is the charset which all external files and resources are converted to.

Note
  will return iso-8859-1 if eZTextCodec has been updated with proper settings.

Definition at line 547 of file ezutils/classes/eztextcodec.php.

References eZCharsetInfo\realCharsetCode().

## ◆ outputCharsetCode() [1/2]

eZTextCodec::outputCharsetCode | ( |  | ) |

Definition at line 297 of file ezi18n/classes/eztextcodec.php.

References $OutputCharsetCode.

## ◆ outputCharsetCode() [2/2]

eZTextCodec::outputCharsetCode | ( |  | ) |

Definition at line 297 of file ezutils/classes/eztextcodec.php.

References $OutputCharsetCode.

## ◆ requestedInputCharsetCode() [1/2]

eZTextCodec::requestedInputCharsetCode | ( |  | ) |

Definition at line 282 of file ezi18n/classes/eztextcodec.php.

References $RequestedInputCharsetCode.

## ◆ requestedInputCharsetCode() [2/2]

eZTextCodec::requestedInputCharsetCode | ( |  | ) |

Definition at line 282 of file ezutils/classes/eztextcodec.php.

References $RequestedInputCharsetCode.

## ◆ requestedOutputCharsetCode() [1/2]

eZTextCodec::requestedOutputCharsetCode | ( |  | ) |

Definition at line 287 of file ezi18n/classes/eztextcodec.php.

References $RequestedOutputCharsetCode.

## ◆ requestedOutputCharsetCode() [2/2]

eZTextCodec::requestedOutputCharsetCode | ( |  | ) |

Definition at line 287 of file ezutils/classes/eztextcodec.php.

References $RequestedOutputCharsetCode.

## ◆ setUseMBString() [1/2]

eZTextCodec::setUseMBString | ( |  | $use | ) |

Definition at line 269 of file ezi18n/classes/eztextcodec.php.

## ◆ setUseMBString() [2/2]

eZTextCodec::setUseMBString | ( |  | $use | ) |

Definition at line 269 of file ezutils/classes/eztextcodec.php.

## ◆ strlen() [1/2]

eZTextCodec::strlen | ( |  | $str | ) |

Definition at line 312 of file ezi18n/classes/eztextcodec.php.

References $str, and $StrlenFunction.

Referenced by eZCodePageCodec\fromUnicode(), strlenNone(), and eZCodePageCodec\toUnicode().

## ◆ strlen() [2/2]

eZTextCodec::strlen | ( |  | $str | ) |

Definition at line 312 of file ezutils/classes/eztextcodec.php.

References $str, and $StrlenFunction.

## ◆ strlenCodepage() [1/2]

eZTextCodec::strlenCodepage | ( |  | $str | ) |

Definition at line 408 of file ezi18n/classes/eztextcodec.php.

References $str.

## ◆ strlenCodepage() [2/2]

eZTextCodec::strlenCodepage | ( |  | $str | ) |

Definition at line 408 of file ezutils/classes/eztextcodec.php.

References $str.

## ◆ strlenCodepageMapper() [1/2]

eZTextCodec::strlenCodepageMapper | ( |  | $str | ) |

Definition at line 424 of file ezi18n/classes/eztextcodec.php.

References $str.

## ◆ strlenCodepageMapper() [2/2]

eZTextCodec::strlenCodepageMapper | ( |  | $str | ) |

Definition at line 424 of file ezutils/classes/eztextcodec.php.

References $str.

## ◆ strlenCodepageRev() [1/2]

eZTextCodec::strlenCodepageRev | ( |  | $str | ) |

Definition at line 419 of file ezi18n/classes/eztextcodec.php.

References $str.

## ◆ strlenCodepageRev() [2/2]

eZTextCodec::strlenCodepageRev | ( |  | $str | ) |

Definition at line 419 of file ezutils/classes/eztextcodec.php.

References $str.

## ◆ strlenMBString() [1/2]

eZTextCodec::strlenMBString | ( |  | $str | ) |

Definition at line 429 of file ezi18n/classes/eztextcodec.php.

References $str.

## ◆ strlenMBString() [2/2]

eZTextCodec::strlenMBString | ( |  | $str | ) |

Definition at line 429 of file ezutils/classes/eztextcodec.php.

References $str.

## ◆ strlenNone() [1/2]

eZTextCodec::strlenNone | ( |  | $str | ) |

Definition at line 398 of file ezi18n/classes/eztextcodec.php.

References $str, and strlen().

## ◆ strlenNone() [2/2]

eZTextCodec::strlenNone | ( |  | $str | ) |

Definition at line 398 of file ezutils/classes/eztextcodec.php.

References $str, and strlen().

## ◆ strlenUnicode() [1/2]

eZTextCodec::strlenUnicode | ( |  | $unicodeValues | ) |

Definition at line 403 of file ezi18n/classes/eztextcodec.php.

## ◆ strlenUnicode() [2/2]

eZTextCodec::strlenUnicode | ( |  | $unicodeValues | ) |

Definition at line 403 of file ezutils/classes/eztextcodec.php.

## ◆ strlenUTF8() [1/2]

eZTextCodec::strlenUTF8 | ( |  | $str | ) |

Definition at line 413 of file ezi18n/classes/eztextcodec.php.

References $str, and eZUTF8Codec\instance().

## ◆ strlenUTF8() [2/2]

eZTextCodec::strlenUTF8 | ( |  | $str | ) |

Definition at line 413 of file ezutils/classes/eztextcodec.php.

References $str, and eZUTF8Codec\instance().

## ◆ updateSettings() [1/2]

static eZTextCodec::updateSettings | ( |  | $settings | ) |
| static

Initializes the eZTextCodec settings to the ones in the array $settings.

See also
  internalCharset, httpCharset.

Definition at line 527 of file ezi18n/classes/eztextcodec.php.

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), and ezpKernelWeb\__construct().

## ◆ updateSettings() [2/2]

static eZTextCodec::updateSettings | ( |  | $settings | ) |
| static

Initializes the eZTextCodec settings to the ones in the array $settings.

See also
  internalCharset, httpCharset.

Definition at line 527 of file ezutils/classes/eztextcodec.php.

## ◆ useMBString() [1/2]

eZTextCodec::useMBString | ( |  | ) |

Definition at line 274 of file ezi18n/classes/eztextcodec.php.

Referenced by __construct().

## ◆ useMBString() [2/2]

eZTextCodec::useMBString | ( |  | ) |

Definition at line 274 of file ezutils/classes/eztextcodec.php.

## Member Data Documentation

## ◆ $Codepage

eZTextCodec::$Codepage

Definition at line 26 of file ezi18n/classes/eztextcodec.php.

## ◆ $CodepageMapper

eZTextCodec::$CodepageMapper

Definition at line 25 of file ezi18n/classes/eztextcodec.php.

## ◆ $ConversionFunction

eZTextCodec::$ConversionFunction

Definition at line 598 of file ezi18n/classes/eztextcodec.php.

Referenced by convertString().

## ◆ $InputCharacterEncodingScheme

eZTextCodec::$InputCharacterEncodingScheme

Definition at line 596 of file ezi18n/classes/eztextcodec.php.

Referenced by __construct(), and initializeConversionFunction().

## ◆ $InputCharsetCode

eZTextCodec::$InputCharsetCode

Definition at line 594 of file ezi18n/classes/eztextcodec.php.

Referenced by inputCharsetCode().

## ◆ $OutputCharacterEncodingScheme

eZTextCodec::$OutputCharacterEncodingScheme

Definition at line 597 of file ezi18n/classes/eztextcodec.php.

Referenced by __construct(), and initializeConversionFunction().

## ◆ $OutputCharsetCode

eZTextCodec::$OutputCharsetCode

Definition at line 595 of file ezi18n/classes/eztextcodec.php.

Referenced by outputCharsetCode().

## ◆ $RequestedInputCharsetCode

eZTextCodec::$RequestedInputCharsetCode

Definition at line 592 of file ezi18n/classes/eztextcodec.php.

Referenced by requestedInputCharsetCode().

## ◆ $RequestedOutputCharsetCode

eZTextCodec::$RequestedOutputCharsetCode

Definition at line 593 of file ezi18n/classes/eztextcodec.php.

Referenced by requestedOutputCharsetCode().

## ◆ $RequireConversion

eZTextCodec::$RequireConversion

Definition at line 600 of file ezi18n/classes/eztextcodec.php.

Referenced by conversionRequired().

## ◆ $StrlenFunction

eZTextCodec::$StrlenFunction

Definition at line 599 of file ezi18n/classes/eztextcodec.php.

Referenced by strlen().

The documentation for this class was generated from the following file:

- ezi18n/classes/eztextcodec.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.